Status: Resolved Priority: Must have
Author: Robert Lemke Category: FLOW3 Persistence
Created: 2009-07-13 Assigned To: Robert Lemke
Updated: 2011-05-05 Due date:
Subject: Reinjected dependencies are overwritten with NULL
Description

If a dependency property is not tagged with @transient, it will be overwritten with NULL by the DataMapper right after the dependency
has been reinjected (while thawing the property).

Associated revisions
Revision 1a091032 - 2009-07-13 18:48 - Robert Lemke

[+BUGFIX] TYPO3CR (FLOW3 Persistence): Even dependencies which are not properly tagged with @transient annotations are now reinjected.
Previously the DataMapper would set those properties to NULL. Resolves #3889
[~TASK] FLOW3 (Object): Optimized the autowireProperties() method a bit, using more efficient reflection methods.

History
#1 - 2009-07-13 19:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2781.

#2 - 2011-05-05 17:14 - Robert Lemke
- Target version deleted (0.5.0 alpha 3)
